# NATS C Client with JetStream and Streaming support: micro_endpoint_info_s Struct Reference

Loading...
Searching...
No Matches
micro_endpoint_info_s Struct Reference
EXPERIMENTAL - Microservices » Public structs

`#include <nats.h>`

## Public Attributes

const char * | Name
| The name of the service.
const char * | Subject
| The semantic version of the service.
natsMetadata | Metadata

## Detailed Description

microEndpointInfo is the struct for the endpoint's static metadata.

## Member Data Documentation

## Name

const char* micro_endpoint_info_s::Name

## Subject

const char* micro_endpoint_info_s::Subject

## Metadata

natsMetadata micro_endpoint_info_s::Metadata

@briefMetadata for the endpoint, a JSON-encoded user-provided object, e.g. `{"key":"value"}`

The documentation for this struct was generated from the following file:

- nats.h